------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- LuaAdBuyoutMenu    --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine    = engine.instance
local constants = engine.platform.constants
local chunks    = engine.chunks
local assets    = chunks.assets
local pool      = chunks.pool
local textures  = chunks.textures
local fade      = chunks.fade

-- LuaAdBuyoutMenu --
LuaAdBuyoutMenu = chunks.class.inherit( chunks.window.LuaWindow )()
	
-- The spawner.
spawn = chunks.class.spawner( Dialog, LuaAdBuyoutMenu )

-- The created method.
function LuaAdBuyoutMenu:created( owner )
	local game = owner:getGame()
	
	-- Background.
	do
		textures.setTexture( owner, assets.textures.adbuyout )
	end
	
	-- No.
	do
		local on_release = function( inner )
			local callback = function( o )
				game:getWindow():spawn( chunks.options.spawn() )
				owner:destroy()
			end
			
			fade.fade_out( owner, callback )
		end
		
		local actor  = self:addButton( on_release )
		actor.anchor = Anchor( Anchor.Anchor_R, Anchor.Anchor_R, pool.get_v3f( -10.0, -70.0, 1.0 ) )
		
		textures.setTexture( actor, assets.textures.no_button )
	end
	
	-- Yes.
	do
		local on_release = function( inner )
			print( "yes" )
		end
		
		local actor  = self:addButton( on_release )
		actor.anchor = Anchor( Anchor.Anchor_L, Anchor.Anchor_L, pool.get_v3f( 50.0, -165.0, 1.0 ) )
		
		textures.setTexture( actor, assets.textures.yes_button )
	end
	
	-- Fade in.
	do
		fade.fade_in( owner )
	end
end



