------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Assets             --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine = engine.instance
local chunks = engine.chunks

--------------
-- textures --
--------------

local textures_product = engine.paths.textures_product

textures = {}

-- common --
textures.back_button = { path = textures_product .. "back_button", size = v2f( 55.0, 51.0 ) }

-- main --
textures.main                = { path = textures_product .. "main", size = v2f( 320.0, 480.0 ) }
textures.play_button         = { path = textures_product .. "play_button", size = v2f( 91.0, 40.0 ) }
textures.exit_button         = { path = textures_product .. "exit_button", size = v2f( 74.0, 44.0 ) }
textures.options_button      = { path = textures_product .. "options_button", size = v2f( 123.0, 35.0 ) }
--textures.more_games_button   = { path = textures_product .. "more_games_button", size = v2f( 134.0, 35.0 ) }
textures.leaderboards_button = { path = textures_product .. "leaderboards_button", size = v2f( 60.0, 60.0 ) }
--textures.offers_button       = { path = textures_product .. "offers_button", size = v2f( 72.0, 61.0 ) }

-- options --
textures.options         = { path = textures_product .. "options", size = v2f( 320.0, 480.0 ) } 
textures.tutorial_button = { path = textures_product .. "tutorial_button", size = v2f( 125.0, 44.0 ) } 
textures.credits_button  = { path = textures_product .. "credits_button", size = v2f( 125.0, 44.0 ) } 
textures.adbuyout_button = { path = textures_product .. "adbuyout_button", size = v2f( 157.0, 48.0 ) } 
textures.on_button       = { path = textures_product .. "on_button", size = v2f( 70.0, 44.0 ) } 
textures.off_button      = { path = textures_product .. "off_button", size = v2f( 70.0, 44.0 ) }

-- papaya --
textures.papaya_intro	 = { path = textures_product .. "papaya_intro", size = v2f( 320.0, 480.0 ) }

-- tutorial --
textures.tutorial             = { path = textures_product .. "tutorial", size = v2f( 320.0, 480.0 ) } 
textures.tutorial_play_button = { path = textures_product .. "tutorial_play_button", size = v2f( 146.0, 67.0 ) }

-- credits --
textures.credits = { path = textures_product .. "credits", size = v2f( 320.0, 480.0 ) } 

-- adbuyout --
textures.adbuyout   = { path = textures_product .. "adbuyout", size = v2f( 320.0, 480.0 ) } 
textures.no_button  = { path = textures_product .. "no_button", size = v2f( 53.0, 37.0 ) } 
textures.yes_button = { path = textures_product .. "yes_button", size = v2f( 165.0, 75.0 ) } 

------------
-- sounds --
------------

sounds = {}

-----------
-- music --
-----------

local music_shared = engine.paths.music_shared

music = {}

-- menu --
music.main = Song( music_shared .. "main.m4a", true, 1.0 )


