------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- LuaCreditsMenu     --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine    = engine.instance
local constants = engine.platform.constants
local chunks    = engine.chunks
local assets    = chunks.assets
local pool      = chunks.pool
local textures  = chunks.textures
local fade      = chunks.fade
local events    = chunks.events

-- LuaCreditsMenu --
LuaCreditsMenu = chunks.class.inherit( chunks.window.LuaWindow )()
	
-- The spawner.
spawn = chunks.class.spawner( Dialog, LuaCreditsMenu )

-- The created method.
function LuaCreditsMenu:created( owner )
	local game     = owner:getGame()
	local x_offset = 5.0
	local y_offset = constants.ad_height + 10.0
	
	-- Background.
	do
		textures.setTexture( owner, assets.textures.credits )
	end
	
	-- Back.
	do
		local on_release = function( inner )
			local callback = function( o )
				game:getWindow():spawn( chunks.options.spawn() )
				owner:destroy()
			end
			
			fade.fade_out( owner, callback )
		end
		
		local actor  = self:addButton( on_release )
		actor.anchor = Anchor( Anchor.Anchor_BL, Anchor.Anchor_BL, pool.get_v3f( x_offset, y_offset, 1.0 ) )
		
		textures.setTexture( actor, assets.textures.back_button )
	end
	
	-- handle back button
	engine.onBackButton = function() 
		engine.onBackButton = function() end;
		game:getWindow():spawn( chunks.options.spawn() )
		owner:destroy()	
	end

	-- Fade in.
	do
		fade.fade_in( owner )
	end
	
	-- Analytics.
	events.on_credits_menu( game )
end



