------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Sounds             --
------------------------

module(...,package.seeall)

local engine  = engine.instance
local chunks  = engine.chunks
local pool    = chunks.pool
local manager = Audio.get().sound

-- Play a sound.
function play( sound )
	-- If this sound has a priority, set it.
	if sound.priority ~= nil or sound.loops ~= nil then
		local options = pool.get_sound_options()

		options.priority = sound.priority or 0.0
		options.loops    = sound.loops    or false
		
		return manager:play( sound.path, options )
	end
	
	return manager:play( sound.path )
end

-- Play a random sound given a list.
function play_random( sound )
	local s = sound[ math.random( 1, #sound ) ]
	
	play( s )
end

-----------------
-- sound loops --
-----------------

LuaSoundLoops = chunks.class.new
{
	sounds = {}
}

local f = function( t )
	local count = 0
	
	for k,v in pairs( t ) do
		count = count + 1
	end
	
	return count
end

-- Add a loop.
function LuaSoundLoops:add( loop )
	--table.insert( self.sounds, loop )
	print( "GGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGGA" )
	--self.sounds.loop = loop
	self.sounds[ loop ] = loop
	print( "size = " .. tostring( f( self.sounds ) ) )
	print( "this = " .. tostring( self ) )
end

-- Remove a loop.
function LuaSoundLoops:remove( loop )
	print( "REMOVING REMOVING REMOVING REMOVING REMOVING" )
	
	--self.sounds.loop = nil
	self.sounds[ loop ] = nil
	print( "size = " .. tostring( f( self.sounds ) ) )
	print( "this = " .. tostring( self ) )
	--[[
	for k,v in ipairs( self.sounds ) do
		print( k )
		print( v )
		if rawequal( v, loop ) then
			self.sounds[ k ] = nil
			print( "POOPOSDFDSFSDF" )
			break
		end
	end
	--]]
end

-- Mute all sound loops.
function LuaSoundLoops:mute()
	for k,v in pairs( self.sounds ) do
		v.volume = 0.0
	end
end

-- Unmute all sound loops.
function LuaSoundLoops:unmute()
	for k,v in pairs( self.sounds ) do
		v.volume = 1.0
	end
end