------------------------
-- Kevin Depue (2010) --
-- Backflip Studios   --
--                    --
-- Ticker             --
------------------------

-- module --
module(...,package.seeall)

-- includes --
local engine   = engine.instance
local chunks   = engine.chunks
local assets   = chunks.assets
local pool     = chunks.pool
local textures = chunks.textures

-- LuaTicker --
LuaTicker = chunks.class.new()

-- The spawner.
spawn = chunks.class.spawner( Ticker, LuaTicker )

-- The created method.
function LuaTicker:created( owner )
	textures.setTexture( owner, engine.chunks.assets.textures.digits )
	
	-- Ticker settings.
	owner.max_digits = 8
	owner.digit_size = pool.get_v2f( 16.0, 22.0 )
end
